<?php
defined( '_JEXEC' ) or die( 'Restricted access' );

//get template name
$app = JFactory::getApplication();
$template_name = $app->getTemplate(true);

// BT Template Helper
$bt_helper = JPATH_BASE.DS.'templates'.DS.$template_name.DS.'helpers'.DS.'bt_helper.php';
require_once ($bt_helper);
$bt = new btTemplateHelper();
?>

<div id="bt_contact">

	<?php 
	//CONTACT LIST
	if ( $this->params->get( 'show_contact_list' ) && count( $this->contacts ) > 1) : ?>
        <form action="<?php echo JRoute::_('index.php') ?>" method="post" name="selectForm" id="selectForm">
        <label for="contact_id"><?php echo JText::_( 'Select Contact' ); ?>:</label>
            <?php echo JHTML::_('select.genericlist',  $this->contacts, 'contact_id', 'class="inputbox" onchange="this.form.submit()"', 'id', 'name', $this->contact->id);?>
            <input type="hidden" name="option" value="com_contact" />
        </form>
    <?php endif; ?>

    <div id="bt_contact_header">
    
    	<?php 
		//CONTACT NAME
		if ( $this->contact->name && $this->contact->params->get( 'show_name' ) ) : ?>
        	<div id="bt_contact_cname"><?php echo $this->escape($this->contact->name); ?></div>
        <?php endif; ?>
        
        <!-- CONTACT ICON -->
        <div id="bt_contact_icon">
			<img src="<?php echo $this->baseurl; ?>/templates/<?php echo $template_name;?>/images/<?php echo $bt->skin;?>/html/com_contact/bt_contact_icon.jpg" border="0" width="88" height="61" alt="" /> 
        </div>
        
    </div>
    
    <div class="clearfix"></div>
    
    <div id="bt_contact_data">
    	
	<?php 
    //CONTACT IMAGE
    if ( $this->contact->params->get( 'show_image' ) ) : ?>
    <div id="bt_contact_image">&nbsp;
        <img src="<?php echo $this->baseurl; ?>/templates/<?php echo $template_name;?>/images/<?php echo $bt->skin;?>/html/com_contact/bt_contact_user_image.jpg" border="0" width="281" height="249" alt="" />
        <?php //echo JHTML::_('image', 'images/stories' . '/'.$this->contact->image, JText::_( 'Contact' ), array('align' => 'middle')); ?>
    </div>
    <?php endif; ?>
        
	<div id="bt_contact_data_rows">

	<?php
	//EMAIL	
	if ( $this->contact->email_to && $this->contact->params->get( 'show_email' ) ) : ?>
    <img src="<?php echo $this->baseurl; ?>/templates/<?php echo $template_name;?>/images/<?php echo $bt->skin;?>/html/com_contact/bt_contact_position_icon.jpg" border="0" width="12" height="12" alt="" /> 
    <div id="bt_contact_data_row_email">
        <?php echo JText::_( 'EMAIL' ); ?><br /><span><?php echo $this->contact->email_to; ?></span>
    </div>
    <div class="clearfix"></div>
    <?php endif; ?>
			
	<?php
	//POSITION
	if ( $this->contact->con_position && $this->contact->params->get( 'show_position' ) ) : ?>
    <img src="<?php echo $this->baseurl; ?>/templates/<?php echo $template_name;?>/images/<?php echo $bt->skin;?>/html/com_contact/bt_contact_position_icon.jpg" border="0" width="12" height="12" alt="" /> 
    <div id="bt_contact_data_row_position">
        <?php echo JText::_( 'POSITION' ); ?><br /><span><?php echo $this->escape($this->contact->con_position); ?></span>
    </div>
    <div class="clearfix"></div>
    <?php endif; ?>

	<?php
	//ADDRESS
	if ( ( $this->contact->params->get( 'address_check' ) > 0 ) &&  ( $this->contact->address || $this->contact->suburb  || $this->contact->state || $this->contact->country || $this->contact->postcode ) ) : ?>
    <img src="<?php echo $this->baseurl; ?>/templates/<?php echo $template_name;?>/images/<?php echo $bt->skin;?>/html/com_contact/bt_contact_address_icon.jpg" border="0" width="9" height="14" alt="" /> 
    <div id="bt_contact_data_row_address">
        <?php echo JText::_( 'ADDRESS' ); ?><br />
        <span>
        	<?php if ( $this->contact->address && $this->contact->params->get( 'show_street_address' ) ) : ?><?php echo nl2br($this->escape($this->contact->address)); ?><br /><?php endif; ?>
            <?php if ( $this->contact->suburb && $this->contact->params->get( 'show_suburb' ) ) : ?><?php echo $this->escape($this->contact->suburb); ?><br /><?php endif; ?>
			<?php if ( $this->contact->state && $this->contact->params->get( 'show_state' ) ) : ?><?php echo $this->escape($this->contact->state); ?><br /><?php endif; ?>
			<?php if ( $this->contact->postcode && $this->contact->params->get( 'show_postcode' ) ) : ?><?php echo $this->escape($this->contact->postcode); ?><br /><?php endif; ?>
			<?php if ( $this->contact->country && $this->contact->params->get( 'show_country' ) ) : ?><?php echo $this->escape($this->contact->country); ?><br /><?php endif; ?>
        </span>
    </div>
    <div class="clearfix"></div>
    <?php endif; ?>

	<?php 
	//TELEPHONE
	if ( $this->contact->telephone && $this->contact->params->get( 'show_telephone' ) ) : ?>
    <img src="<?php echo $this->baseurl; ?>/templates/<?php echo $template_name;?>/images/<?php echo $bt->skin;?>/html/com_contact/bt_contact_telephone_icon.jpg" border="0" width="15" height="15" alt="" />
    <div id="bt_contact_data_row_telephone">
        <?php echo JText::_( 'TELEPHONE' ); ?><br /><span><?php echo nl2br($this->escape($this->contact->telephone)); ?></span>
    </div>
    <div class="clearfix"></div>
    <?php endif; ?>
    
    <?php 
	//MOBILE
	if ( $this->contact->mobile && $this->contact->params->get( 'show_mobile' ) ) :?>
    <img src="<?php echo $this->baseurl; ?>/templates/<?php echo $template_name;?>/images/<?php echo $bt->skin;?>/html/com_contact/bt_contact_mobile_phone_icon.jpg" border="0" width="11" height="21" alt="" /> 
    <div id="bt_contact_data_row_mobile_phone">
        <?php echo JText::_( 'MOBILE' ); ?><br /><span><?php echo nl2br($this->escape($this->contact->mobile)); ?></span>
    </div>
    <div class="clearfix"></div>
	<?php endif; ?>
    
	<?php 
	//FAX
	if ( $this->contact->fax && $this->contact->params->get( 'show_fax' ) ) : ?>
    <img src="<?php echo $this->baseurl; ?>/templates/<?php echo $template_name;?>/images/<?php echo $bt->skin;?>/html/com_contact/bt_contact_fax_icon.jpg" border="0" width="14" height="14" alt="" /> 
    <div id="bt_contact_data_row_fax">
        <?php echo JText::_( 'FAX' ); ?><br /><span><?php echo nl2br($this->escape($this->contact->fax)); ?></span>
    </div>
    <div class="clearfix"></div>
    <?php endif; ?>

	<?php 
	//WEB PAGE
	if ( $this->contact->webpage && $this->contact->params->get( 'show_webpage' )) : ?>
    <img src="<?php echo $this->baseurl; ?>/templates/<?php echo $template_name;?>/images/<?php echo $bt->skin;?>/html/com_contact/bt_contact_fax_icon.jpg" border="0" width="14" height="14" alt="" /> 
    <div id="bt_contact_data_row_web_page">
        <?php echo JText::_( 'Web' ); ?><br /><span><a href="<?php echo $this->escape($this->contact->webpage); ?>" target="_blank"><?php echo $this->escape($this->contact->webpage); ?></a></span>
    </div>
    <div class="clearfix"></div>
    <?php endif; ?>

	<?php 
	//MISC INFO
	if ( $this->contact->misc && $this->contact->params->get( 'show_misc' ) ) : ?>
    <img src="<?php echo $this->baseurl; ?>/templates/<?php echo $template_name;?>/images/<?php echo $bt->skin;?>/html/com_contact/bt_contact_fax_icon.jpg" border="0" width="14" height="14" alt="" /> 
    <div id="bt_contact_data_row_misc_info">
        <?php echo JText::_( 'Info' ); ?><br /><span><?php echo nl2br($this->contact->misc); ?></span>
    </div>
    <div class="clearfix"></div>
    <?php endif; ?>
          
    </div>    
    </div>

	<?php 
	//VCARD
	if ( $this->contact->params->get( 'allow_vcard' ) ) : ?>
		<?php echo JText::_( 'Download information as a' );?>
        <a href="<?php echo JURI::base(); ?>index.php?option=com_contact&amp;task=vcard&amp;contact_id=<?php echo $this->contact->id; ?>&amp;format=raw&amp;tmpl=component">
            <?php echo JText::_( 'VCard' );?>
        </a>
    <?php endif;
	
	//SHOW FORM
    if ( $this->contact->params->get('show_email_form') && ($this->contact->email_to || $this->contact->user_id))
        echo $this->loadTemplate('form');
    ?>

</div>