<?php
/*--------------------------------------------------------
# BT Soccerlift v1.0 (July 2010) - Joomla Template
# --------------------------------------------------------
# Joomla 1.5, @joomla 1.7
# Copyright (C) 2011 Bonusthemes.com. All Rights Reserved.
# @license Copyrighted Commercial Software
# Demo: http://www.bonusthemes.com/goto/soccerlift/
# Website: http://www.bonusthemes.com/
# Support: support@bonusthemes.com
------------------------------------------------------- */

// no direct access
defined('_JEXEC') or die;
$lang = JFactory::getLanguage();
$upper_limit = $lang->getUpperLimitSearchWord();
?>
<div id="bt_search_form">
<form id="searchForm" action="<?php echo JRoute::_( 'index.php?option=com_search' );?>" method="post" name="searchForm">

	<div id="bt_searh_form_first_line">
    <div>
		<label for="search-searchword" class="search_keyword">
			<?php echo JText::_('COM_SEARCH_SEARCH_KEYWORD'); ?>
		</label>
		<input type="text" name="searchword" id="search-searchword" size="30" maxlength="<?php echo $upper_limit; ?>" value="<?php echo $this->escape($this->searchword); ?>" class="inputbox" />
		<button name="Search" onclick="this.form.submit()" class="button"><?php echo JText::_('COM_SEARCH_SEARCH');?></button>
		<input type="hidden" name="task" value="search" />
	</div>
    </div>

	<div id="bt_searh_form_second_line">
    <div>
    	<div id="bt_search_form_searchphrase"><?php echo $this->lists['searchphrase']; ?></div>
		<div id="bt_search_form_ordering"><?php echo $this->lists['ordering'];?><?php /*?><label for="ordering"><?php echo JText::_( 'COM_SEARCH_ORDERING' );?></label><?php */?></div>
    </div>
    </div>

	<div id="bt_searh_form_third_line">
    <div>
		<?php if ($this->params->get( 'search_areas', 1 )) : ?>
            <div>
            <span><?php echo JText::_( 'COM_SEARCH_SEARCH_ONLY' );?>:</span>
            </div>
            <?php foreach ($this->searchareas['search'] as $val => $txt) :
                $checked = is_array( $this->searchareas['active'] ) && in_array( $val, $this->searchareas['active'] ) ? 'checked="checked"' : '';
            ?>
            <div style="float: left; margin: 0; padding: 0;"><input type="checkbox" name="areas[]" value="<?php echo $val;?>" id="area_<?php echo $val;?>" <?php echo $checked;?> /><label for="area_<?php echo $val;?>"><?php echo JText::_($txt); ?></label></div>
			<?php endforeach; ?>
        <?php endif; ?>    
    </div>
    </div>

	<div id="bt_searh_form_fourth_line">
    <div>
        <div id="bt_search_form_searchword"><?php echo JText::_( 'COM_SEARCH_SEARCH_KEYWORD' ) .' <b>'. $this->escape($this->searchword) .'</b>'; ?> | <?php echo JText::plural('COM_SEARCH_SEARCH_KEYWORD_N_RESULTS', $this->total);?>
		</div>
		<?php if($this->total > 0) : ?>
            <div id="bt_search_form_limitbox">
                <label for="limit"><?php echo JText::_( 'JGLOBAL_DISPLAY_NUM' ); ?></label>
                <?php echo $this->pagination->getLimitBox( ); ?>
            </div>
            <div id="bt_search_form_pages_counter">
                <?php echo $this->pagination->getPagesCounter(); ?>
            </div>
        <?php endif; ?>
    </div>
    </div>

<input type="hidden" name="task" value="search" />
</form>
</div>