<?php
/*--------------------------------------------------------
# BT Super News v1.0 - Joomla Module
# --------------------------------------------------------
# Joomla 1.5, @joomla 1.7
# Copyright (C) 2011 Bonusthemes.com. All Rights Reserved.
# @license GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
# Website: http://www.bonusthemes.com/
# Support: support@bonusthemes.com
------------------------------------------------------- */

defined('_JEXEC') or die('Restricted access');

// Get the hosts name
jimport('joomla.environment.uri' );
$host = JURI::root();
 
// CSS and JS
$document =& JFactory::getDocument();
$document->addScript($host.'modules/mod_bt_supernews/tmpl/assets/js/jquery.flexslider-min.js');
$document->addStyleSheet($host.'modules/mod_bt_supernews/tmpl/assets/css/flexslider.css');
$document->addStyleSheet($host.'modules/mod_bt_supernews/tmpl/assets/css/slide_show.css');

?>
    <script type="text/javascript">
		$(window).load(function() {
			$('.flexslider').flexslider({
			 // animation: "slide",
			//  controlsContainer: ".flexslider-container"

        animation: "fade",              //Select your animation type (fade/slide/show)
        slideshow: true,                //Should the slider animate automatically by default? (true/false)
        slideshowSpeed: 5000,           //Set the speed of the slideshow cycling, in milliseconds
        animationDuration: 300,         //Set the speed of animations, in milliseconds
        directionNav: false,             //Create navigation for previous/next navigation? (true/false)
        controlNav: true,               //Create navigation for paging control of each clide? (true/false)
        keyboardNav: true,              //Allow for keyboard navigation using left/right keys (true/false)
        touchSwipe: true,               //Touch swipe gestures for left/right slide navigation (true/false)
        prevText: "Previous",           //Set the text for the "previous" directionNav item
        nextText: "Next",               //Set the text for the "next" directionNav item
        randomize: false,               //Randomize slide order on page load? (true/false)
        slideToStart: 0,                //The slide that the slider should start on. Array notation (0 = first slide)
        pauseOnAction: false,            //Pause the slideshow when interacting with control elements, highly recommended. (true/false)
        pauseOnHover: false,            //Pause the slideshow when hovering over slider, then resume when no longer hovering (true/false)
        controlsContainer: "",          //Advanced property: Can declare which container the navigation elements should be appended too. Default container is the flexSlider element. Example use would be ".flexslider-container", "#container", etc. If the given element is not found, the default action will be taken.
        manualControls: ""              //Advanced property: Can declare custom control navigation. Example would be ".flex-control-nav" or "#tabs-nav", etc. The number of elements in your controlNav should match the number of slides/tabs (obviously).

		  });
		});
	</script>

<?php
// only for fade
$height_title = ($module->id == 135) ? 80 : 139; // only for soccerlift //$height_title = 139;
$height_image = intval($params->get('image_height'));
$height_text = 39;
$height = $height_title + $height_image + $height_text;
?>

<div id="container" style="overflow: hidden; width: <?php echo intval($params->get('image_width')); ?>px; height: <?php echo $height; ?>px; background: none;">

    <div class="flexslider">
   
    <ul class="slides">

		<?php
        foreach ($bt_supernews_list as $bt_supernews_item) { 

	$image = ($bt_supernews_item->image) ? 1 : 0;
	$date = ($bt_supernews_item->date) ? 1 : 0;
	$tools = ($bt_supernews_item->print_icon || $bt_supernews_item->email_icon) ? 1 : 0;
	$print = ($bt_supernews_item->print_icon) ? 1 : 0;
	$email = ($bt_supernews_item->email_icon) ? 1 : 0;
	$title = ($bt_supernews_item->title) ? 1 : 0;

	$scroll_item = '<table cellpadding="0" border="0" cellspacing="0" width="100%"><tr>';

	if ($tools) {
		$scroll_item .= '<td valign="middle" width="38" align="left">';
		if ($print) {
			$scroll_item .= '<div style="float: left; padding: 2px 0 0 0; margin: 0 7px 0 0;">'.$bt_supernews_item->print_icon.'</div>';
		}
		if ($email) {
			$scroll_item .= '<div style="float: left; padding: 2px 0 0 0;">'.$bt_supernews_item->email_icon.'</div>';
		}

		$scroll_item .= '</td>';
	}
	
	if ($date) {
		$span_separator = ($tools) ? '<span style="color: #fff; padding: 0 7px;">|</span>' : '';
		$date_width = ($bt_supernews_item->section || $bt_supernews_item->category) ? ' width="115"' : '';
		$scroll_item .= '<td valign="middle" align="left"'.$date_width.'>';
		$scroll_item .= '<div style="float:left; margin: 0; color: #fff; font-size: 10px;">'.$span_separator.$bt_supernews_item->date.'</div>';
		$scroll_item .= '</td>';
	}

    //SECTION / CATEGORY
	if ($bt_supernews_item->section || $bt_supernews_item->category) {
	
	$scroll_item .= '<td valign="middle" style="font-size: 10px;" align="left">';
	
	$scroll_item .= '<div style="float:left; color: #fff; padding: 0 5px 0 0;">|</div>';
	
	if ($bt_supernews_item->section) {
		$scroll_item .= '<span style="color: #FFF; float: left; padding: 0 5px 0 0; font-size: 10px;"><strong>SECTION:</strong></span>';
		$scroll_item .= '<span style="float: left; padding: 0 10px 0 0;">'.$bt_supernews_item->section.'</span>';
	}

	if ($bt_supernews_item->category) { 
		$scroll_item .= '<span style="color: #FFF; float: left; padding: 0 5px 0 0; font-size: 10px;"><strong>CATEGORY:</strong></span>';
		$scroll_item .= '<span style="float: left; padding: 0 5px 0 0;">'.$bt_supernews_item->category.'</span>';
	}
	
	$scroll_item .= '</td>';
    }      


	$scroll_item .= '</tr>';

		if ($title) {
			$scroll_item .= '<tr><td colspan="3" valign="top">';
			$bt_title = $bt_supernews_item->title;
			$bt_title = str_replace("'", "", $bt_title);
			$scroll_item .= '<div style="width: 100%; margin: 5px 0 0 0; font-size: '.$bt_supernews_item->fontsize.'%;"><a href="'.$bt_supernews_item->link.'">'.$bt_title.'</a></div>';
			$scroll_item .= '</td></tr>';
		}
		
	$scroll_item .= '</table>';

	?>    	
        <?php if ($bt_supernews_item->image != '') { ?>
        <li style="background:none; width: 100%;">
            <div style="background: #0094D4; color: #fff; padding: 8px 10px 12px 10px; margin:0; overflow: hidden;">
			<?php 
			echo $scroll_item;
			?>
            </div>
			<?php echo $bt_supernews_item->image; ?>
            <div style="background: #0094D4; color: #fff; padding: 8px 15px; margin:0; height: 40px; overflow: hidden;">
				<?php echo $bt_supernews_item->text; ?>
				<?php if ($bt_supernews_item->readmore) { ?>
                    <span style="font-size: 12px; display: inline;"><?php echo $bt_supernews_item->readmore; ?></span>
                <?php } ?>
            </div>
        </li>
		<?php } ?>
        
		<?php 
        }
        ?>
    </ul>
  </div>
</div>

