<?php
/*--------------------------------------------------------
# BT Super News v1.0 - Joomla Module
# --------------------------------------------------------
# Joomla 1.5, @joomla 1.7
# Copyright (C) 2011 Bonusthemes.com. All Rights Reserved.
# @license GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
# Website: http://www.bonusthemes.com/
# Support: support@bonusthemes.com
------------------------------------------------------- */

defined('_JEXEC') or die('Restricted access');

// Get the hosts name
jimport('joomla.environment.uri' );
$host = JURI::root();
 
// CSS
$document =& JFactory::getDocument();
$document->addStyleSheet($host.'modules/mod_bt_supernews/tmpl/assets/css/type2.css');

$i = 1;
foreach ($bt_supernews_list as $bt_supernews_item) { 

$img_separator = ($i != count($bt_supernews_list)) ? 'padding: 5px 0; background: transparent url(modules/mod_bt_supernews/tmpl/assets/icons/separator.png) repeat-x center bottom;' : 'padding: 10px 0 0 0;';

	$image = ($bt_supernews_item->image) ? 1 : 0;
	$date = ($bt_supernews_item->date) ? 1 : 0;
	$tools = ($bt_supernews_item->print_icon || $bt_supernews_item->email_icon) ? 1 : 0;
	$print = ($bt_supernews_item->print_icon) ? 1 : 0;
	$email = ($bt_supernews_item->email_icon) ? 1 : 0;
	$title = ($bt_supernews_item->title) ? 1 : 0;
?>
<table width="100%" border="0" cellspacing="0" cellpadding="0" style="margin: 0; <?php echo $img_separator;?>">

	<?php if ($bt_supernews_item->print_icon || $bt_supernews_item->email_icon || $bt_supernews_item->title) { ?>
	<tr style="margin: 0 0 8px 0;">
        <!-- ICONS -->
        <?php if ($bt_supernews_item->print_icon || $bt_supernews_item->email_icon) { ?>
        <td valign="top" align="left">
        <div style="width: 14px; padding: 0 10px 0 0; margin: 4px 8px 0 0; border-right: 1px solid #ccc;">
            <!-- PRINT ICON -->
            <?php if ($bt_supernews_item->print_icon) { ?>
            <div style="margin: 0 0 10px 0;"><?php echo $bt_supernews_item->print_icon; ?></div>
            <?php } ?>
            <!-- EMAIL ICON -->
            <?php if ($bt_supernews_item->email_icon) { ?>
            <div style="margin: 0;"><?php echo $bt_supernews_item->email_icon; ?></div>
            <?php } ?>
        </div>
        </td>
        <?php } ?>
            
        <!-- TITLE -->
        <?php if ($bt_supernews_item->title) { ?>
            <td align="left">
            <div style="font-size: <?php echo $bt_supernews_item->fontsize; ?>%; margin: 0; padding: 0 0 5px 0;">
                <a href="<?php echo $bt_supernews_item->link; ?>"><?php echo $bt_supernews_item->title; ?></a>
            </div>
            </td>
        <?php } ?>
	</tr>
    <?php } ?>

    <!-- IMAGE -->
    <?php if ($bt_supernews_item->image) { ?>
	<tr>
		<td colspan="2">
			<div style="margin: 10px 0 0 0 !important; padding: 0 !important; border-bottom: 7px solid #FF9900; width: <?php echo intval($params->get('image_width')); ?>px;"><?php echo $bt_supernews_item->image; ?></div>
		</td>
	</tr>
	<?php } ?>
    
	<!-- INTRO TEXT + READMORE -->
	<?php if ($bt_supernews_item->readmore || $bt_supernews_item->text) { ?>
	<tr>
	<td colspan="2">
		<?php if ($bt_supernews_item->text) { ?>
			<!-- INTRO TEXT -->
			<p style="font-size: 11px;"><?php echo $bt_supernews_item->text; ?>
		<?php } ?>  
                
		<?php if ($bt_supernews_item->readmore) { ?>
		<!-- READMORE TEXT -->
            <span style="margin: 7px 0 0 0; font-size: 12px; display: inline;" class="bt_readmore"><?php echo $bt_supernews_item->readmore; ?></span>
        <?php } ?>

		<?php if ($bt_supernews_item->text) { ?>
			</p>
        <?php } ?>
      </td>
	</tr>
	<?php } ?> 
        
</table>

<?php 
$i++;
}
?>