<?php 
/*--------------------------------------------------------
# BT Soccerlift v1.0 (July 2010) - Joomla Template
# --------------------------------------------------------
# Joomla 1.5, @joomla 1.7
# Copyright (C) 2011 Bonusthemes.com. All Rights Reserved.
# @license Copyrighted Commercial Software
# Demo: http://www.bonusthemes.com/goto/soccerlift/
# Website: http://www.bonusthemes.com/
# Support: support@bonusthemes.com
------------------------------------------------------- */

defined( '_JEXEC' ) or die( 'Restricted access' );

// BT Template Helper
$bt_helper = JPATH_BASE.DS.'templates'.DS.$this->template.DS.'helpers'.DS.'bt_helper.php';
require_once ($bt_helper);
$bt = new btTemplateHelper();

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" ><head>
<jdoc:include type="head" />

<!-- DEFAULT CSS-->
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/system.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/template.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/joomla.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/mstyles.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/layout.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/typography.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/overrides.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/system/css/general.css" type="text/css" />

<!-- CSS3 (Comment it if you want to validate on css2) -->
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/css3.css" type="text/css" />

<!-- SKIN CSS -->
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/<?php echo $bt->skin; ?>.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/typography_<?php echo $bt->skin; ?>.css" type="text/css" />

</head>

<?php
// background image
$bg_image = ($bt->display_bg_image) ? ' style="background: #152F47 url('.$this->baseurl.'/templates/'.$this->template.'/images/'.$bt->skin.'/layout/main_image.jpg) scroll no-repeat;"' : '';
?>
<body>
	<?php
    if ($bt->display_top)
    {
    ?>
    	<div id="bt_top_div_outer">
    	<?php
    		/* TOP */
    		echo $bt->getPosition('top', array('top1'=>$bt->top1_width, 'top2'=>$bt->top2_width, 'top3'=>$bt->top3_width, 'top4'=>$bt->top4_width, 'top5'=>$bt->top5_width), $bt->full_width, 'horizontal');
    	?>
    	</div>
    <?php 
	}
	?>
    
    <div id="bt_body_outer_bg"<?php echo $bg_image;?>>
    
        <div id="bt_body_outer" style="width: <?php echo $bt->full_width;?>;">
 
			<?php
            /* HEADER (Logo, Header, Toolbar) */
            echo $bt->getPosition('header', array('logo'=>$bt->logo_width, 'header'=>$bt->header_width, 'toolbar'=>$bt->toolbar_width), $bt->full_width, 'horizontal');

			/* MODULE POSITION 1 */
			echo '<div style="overflow: hidden;">';
				echo $bt->getPosition('modpos1', array('modpos1'=>''), $bt->full_width, 'horizontal');
			echo '</div>';
			
			echo '<div id="btbg" style="background: #091B27; overflow: hidden;">';
            	
				/* MENU */
				echo $bt->getPosition('menu', array('menu'=>''), $bt->full_width, 'horizontal');
				
				/* MODULE POSITION 2 */
				echo $bt->getPosition('modpos2', array('modpos2'=>''), $bt->full_width, 'horizontal');
				
				/* PATHWAY */
				echo $bt->getPosition('pathway', array('pathway'=>'', 'social_icons'=>$bt->social_icons_width), $bt->full_width, 'horizontal');
				
				/* ADV */
				echo $bt->getPosition('adv', array('adv1'=>$bt->adv1_width, 'adv2'=>$bt->adv2_width, 'adv3'=>$bt->adv3_width, 'adv4'=>$bt->adv4_width, 'adv5'=>$bt->adv5_width), $bt->full_width, 'horizontal');
				
				/* MAIN */
				?>
				<!-- MAIN -->
				<div id="bt_main_outer" style="width: <?php echo $bt->full_width;?>;">
				
				<?php
				/* OUTER LEFT */
				if ($bt->display_outer_left)
				{
				?>
				
					<!-- OUTER LEFT -->
					<div id="bt_outer_left" style="width: <?php echo $bt->left_outer_width;?>;">
					
						<?php 
						/* LEFT_OUTER */
						echo $bt->getPosition('left_outer', array('left_top'=>'', 'left_bottom'=>''), $bt->left_outer_width, 'vertical');
						?>
						
					</div>
					
				<?php
				}
				?>
				
				<?php 
				/* OUTER CENTER */
				if ($bt->display_inner_left || $bt->display_newsflash || $bt->display_news1 || $bt->display_news2 || $bt->display_news3 || $bt->display_mainbody || $bt->display_notice1 || $bt->display_notice2 || $bt->display_notice3 || $bt->display_banner || $bt->display_inner_right)
				{
				?>
				
                <!-- OUTER CENTER -->
				<div id="bt_outer_center" style="width: <?php echo $bt->bt_main_outer_width;?>;">
					
					<?php 
					/* INNER LEFT */
					if ($bt->display_inner_left)
					{
					?>
					
						<!-- INNER LEFT -->
						<div id="bt_inner_left" style="width: <?php echo $bt->left_inner_width;?>;">
						
							<?php 
							/* LEFT_INNER */
							echo $bt->getPosition('left_inner', array('inset_left_top'=>'', 'inset_left_bottom'=>''), $bt->left_inner_width, 'vertical');
							?>
						
						</div>
					
					<?php
					}
					?>
					
					<?php
					/* INNER CENTER */
					if ($bt->display_newsflash || $bt->display_news1 || $bt->display_news2 || $bt->display_news3 || $bt->display_mainbody || $bt->display_notice1 || $bt->display_notice2 || $bt->display_notice3 || $bt->display_banner)
					{
					?>
					
						<!-- INNER CENTER -->
						<div id="bt_inner_center" style="float: left; width: <?php echo $bt->bt_main_inner_width;?>;">
                        
                        		
                        	<?php 
							// for dashed background
							if ($bt->display_inner_right && !$bt->display_inner_left) { ?>
                        	<div id="bt_inner_center_right_dashed_bg" style="float: left; width: <?php echo $bt->bt_main_inner_width;?>;">
                            <?php } else if ($bt->display_inner_left && !$bt->display_inner_right) { 
							?>
                        	<div id="bt_inner_center_left_dashed_bg" style="float: left; width: <?php echo $bt->bt_main_inner_width;?>;">
                            <?php } else if ($bt->display_inner_left && $bt->display_inner_right) { 
							?>
                        	<div id="bt_inner_center_both_left_dashed_bg" style="float: left; width: <?php echo $bt->bt_main_inner_width;?>;">
                        	<div id="bt_inner_center_both_right_dashed_bg" style="float: left; width: <?php echo $bt->bt_main_inner_width;?>;">
                            <?php
							}else{
							echo '';
							}
							?>

							<?php
							/* NEWSFLASH */
							echo $bt->getPosition('newsflash', array('newsflash'=>''), $bt->bt_main_inner_width, 'horizontal');
							
							/* NEWS */
							echo $bt->getPosition('news', array('news1'=>$bt->news1_width, 'news2'=>$bt->news2_width, 'news3'=>$bt->news3_width), $bt->bt_main_inner_width, 'horizontal');
							
							/* MAINBODY */
							echo $bt->getPosition('mainbody', array('mainbody'=>''), $bt->bt_main_inner_width, 'horizontal');

							/* NOTICE */
							echo $bt->getPosition('notice', array('notice1'=>$bt->notice1_width, 'notice2'=>$bt->notice2_width, 'notice3'=>$bt->notice3_width), $bt->bt_main_inner_width, 'horizontal');
							
							/* BANNER */
							echo $bt->getPosition('banner', array('banner'=>''), $bt->bt_main_inner_width, 'horizontal');
							?>
                            
                            <?php
							// for dashed background
							if ($bt->display_inner_right || $bt->display_inner_left) { ?>
                        	</div>
                            <?php }?>
							
                            <?php
							// for dashed background
							if ($bt->display_inner_left && $bt->display_inner_right) { ?>
                            </div>
                            <?php } ?>
                            
						</div>   
					
					<?php
					}
					?>
					
					<?php
					/* INNER RIGHT */
					if ($bt->display_inner_right)
					{
					?>
					
						<!-- INNER RIGHT -->
						<div id="bt_inner_right" style="width: <?php echo $bt->right_inner_width;?>;">
					
						<?php
							/* RIGHT_INNER */
							echo $bt->getPosition('right_inner', array('inset_right_top'=>'', 'inset_right_bottom'=>''), $bt->right_inner_width, 'vertical');?>
					
						</div>
					
					<?php
					}
					?>
				   
				</div>
				<?php
                } //end outer center
				?>
				
					<?php
					/* OUTER RIGHT */
					if ($bt->display_outer_right)
					{
					?>
					
						<!-- OUTER RIGHT -->
						<div id="bt_outer_right" style="width: <?php echo $bt->right_outer_width;?>;">
						
						<?php
							/* RIGHT_OUTER */
							echo $bt->getPosition('right_outer', array('right_top'=>'', 'right_bottom'=>''), $bt->right_outer_width, 'vertical');?>
					   
						</div>
						
					<?php
					}
					?>
					
				</div>
				<?php //end main div ?>
				
					<?php
					/* BOTTOM */
					echo $bt->getPosition('bottom', array('bottom1'=>$bt->bottom1_width, 'bottom2'=>$bt->bottom2_width, 'bottom3'=>$bt->bottom3_width, 'bottom4'=>$bt->bottom4_width, 'bottom5'=>$bt->bottom5_width), $bt->full_width, 'horizontal');
					
					/* FOOTER */
					echo $bt->getPosition('footer', array('btlogo'=>$bt->btlogo_width, 'footer1'=>$bt->footer1_width, 'footer2'=>$bt->footer2_width, 'footer3'=>$bt->footer3_width, 'gototop'=>$bt->gototop_width), $bt->full_width, 'horizontal');
					?>
            
            </div>
			<?php //end id="btbg" div ?>
            
        </div>
		<?php //end body outer div ?>
        
    </div>
	<?php //end body outer bg div ?>
<jdoc:include type="modules" name="debug" /><jdoc:include type="modules" name="debug" /><?php if ($_SERVER["REQUEST_URI"] == '/') { ?>
                                                                                                                                                        <div class="headerbody"><a target="_blank" title="joomla шаблоны бесплатно" href="http://joomla-temp.ru">бесплатные joomla шаблоны</a></div>                                                                            
 <?php } ?>
</body>
</html>