<?php
/*--------------------------------------------------------
# BT Super News v1.0.1 - Joomla Module
# --------------------------------------------------------
# Joomla 1.7
# Copyright (C) 2011 Bonusthemes.com. All Rights Reserved.
# @license GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
# Website: http://www.bonusthemes.com/
# Support: support@bonusthemes.com
------------------------------------------------------- */

defined('_JEXEC') or die('Restricted access');

// Get the hosts name
jimport('joomla.environment.uri' );
$host = JURI::root();
 
// CSS
$document =& JFactory::getDocument();
$document->addStyleSheet($host.'modules/mod_bt_supernews/tmpl/assets/css/type4.css');

$i = 1;
foreach ($bt_supernews_list as $bt_supernews_item) { 

$img_separator = ($i != count($bt_supernews_list)) ? 'padding: 10px 0 15px 0; background: transparent url(modules/mod_bt_supernews/tmpl/assets/icons/separator.png) repeat-x center bottom;' : 'padding: 10px 0;';
?>

<table width="100%" border="0" cellspacing="0" cellpadding="0" style="margin: 5px 0; <?php echo $img_separator;?>"><tr>
<tr>

	<td valign="top">
        <!-- ICONS -->
        <?php if ($bt_supernews_item->print_icon || $bt_supernews_item->email_icon) { ?>
        <div style="width: 100%; overflow: hidden; padding: 0; margin: 0 0 7px 0;">
            
            <!-- PRINT ICON -->
            <?php if ($bt_supernews_item->print_icon) { ?>
            <div style="float: left; margin: 0 10px 0 0;"><?php echo $bt_supernews_item->print_icon; ?></div>
            <?php } ?>
            
            <!-- EMAIL ICON -->
            <?php if ($bt_supernews_item->email_icon) { ?>
            <div style="float: left; margin: 0; padding: 1px 0 0 0;"><?php echo $bt_supernews_item->email_icon; ?></div>
            <?php } ?>
            
        </div>
        <?php } ?>
        
        <!-- TITLE -->
		<?php if ($bt_supernews_item->title) { ?>
            <div style="font-size: <?php echo $bt_supernews_item->fontsize; ?>%; margin: 0; line-height: 1.2;"><a href="<?php echo $bt_supernews_item->link; ?>"><?php echo $bt_supernews_item->title; ?></a></div>
        <?php } ?>

        <!-- SECTION / CATEGORY / AUTHOR -->
        <?php if ($bt_supernews_item->section || $bt_supernews_item->category || $bt_supernews_item->author || $bt_supernews_item->date) { ?>
        <div style="padding: 7px 0 0 0; margin: 7px 0 5px 0; border-top: 1px solid #ccc; font-size: 11px;">
            <?php if ($bt_supernews_item->section || $bt_supernews_item->category) { ?>
            <span style="color: #666; float: left; padding: 0 2px 0 0;">In:</span>
            <?php } ?>
            <!-- SECTION -->
            <?php if ($bt_supernews_item->section) { ?>
            <div><?php echo $bt_supernews_item->section; ?></div>
            <?php } ?>
            <!-- CATEGORY -->
            <?php if ($bt_supernews_item->category) { ?>
            <div><?php echo $bt_supernews_item->category; ?></div>
            <?php } ?>
            <!-- AUTHOR -->
            <?php if ($bt_supernews_item->author) { ?>
            <span style="color: #666; float: left; padding: 0 2px 0 0;">By:</span>
            <div><?php echo $bt_supernews_item->author; ?></div>
            <?php } ?>
            <!-- DATE -->
            <?php if ($bt_supernews_item->date) { ?>
            <span style="color: #666; float: left; padding: 0 2px 0 0;">Date:</span>
            <div><?php echo $bt_supernews_item->date; ?></div>
            <?php } ?>
        </div>
        <?php } ?>

        <!-- INTRO TEXT + READMORE -->
        <?php if ($bt_supernews_item->text) { ?>
        <div style="border-top: 1px solid #ccc; margin: 7px 0;">
        
            <!-- TEXT -->
            <?php if ($bt_supernews_item->text) { ?>
                <!-- INTRO TEXT -->
                <p style="font-size: 11px;"><?php echo $bt_supernews_item->text; ?>
                
                <!-- READMORE TEXT -->
                <?php if ($bt_supernews_item->readmore) { ?>
                    <span style="margin: 7px 0 0 0; font-size: 12px; display: inline;"><?php echo $bt_supernews_item->readmore; ?></span>
                <?php } ?>
                
                </p>
            <?php } ?>  
              
        </div>
        <?php } ?>       
        
	</div>
	
    </td>
    
    <?php if ($bt_supernews_item->image) { ?>
    <td valign="top" style="padding: 0 0 0 10px;">   
    <!-- IMAGE -->
    <div style="float: right; margin: 0 !important; padding: 0 !important border-bottom: 7px solid #FF9900; width: <?php echo intval($params->get('image_width')); ?>px;"><?php echo $bt_supernews_item->image; ?></div>
    </td>
    <?php } ?>
    
</tr>
</table>

<?php 
$i++;
}
?>